Subject: Re: bug#47500: Hello, I would like to use the Dark Reader extension with IceCat

From: Mark H Weaver <[email-masked]>
Date: Sun, 04 Apr 2021 15:11:00 -0400

Hi,

bill-auger <[email-masked]> writes:

> given that the icecat add-ons wiki page is essentially
> un-maintained, there is one very simple way to improve the
> user-experience - the trisquel team maintains a catalog of
> add-ons, which is the default URL for the abrowser add-ons GUI -
> rather than packaging and maintaining add-ons, it is simply a
> curated list of known-free add-ons, each entry linking to direct
> downloads of .xpi files from mozilla - it would only be a matter
> of changing the default URL for the icecat add-ons GUI, to point
> to the triquel page:
>
> https://trisquel.info/en/browser-plain

Sounds good to me.  Would you like to propose a patch to the gnuzilla
git repo that implements this change, and test it?

> that probably does not address the concern of thoroughly auditing
> them - given the large number of add-ons listed, its difficult
> to believe that anybody had the time to audit them properly -

It doesn't have to be perfect.  As long as there was good faith effort
to exclude nonfree add-ons, and there's a commitment to fix problems
promptly when they are reported, that's good enough for our purposes.

     Thank you!
        Mark